%define major 1
%define raw_name paper
%define fname lib%{raw_name}
%define libname %mklibname %{raw_name} %{major}

Summary:	Library for handling paper characteristics
Name:		%{fname}
Version:	1.1.21
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://packages.debian.org/unstable/source/libpaper
Source0:	http://ftp.debian.org/debian/pool/main/libp/libpaper/%{fname}_%{version}.tar.gz
%ifarch x86_64
BuildRequires:	chrpath
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains a simple library for use by programs needing
to handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package -n	%{libname}
Summary:	Library for handling paper characteristics
Group:		System/Libraries

%description -n	%{libname}
Libraries for paper.

%package -n	%{libname}-devel
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Provides:	libpaper-devel = %{version}-%{release}
Obsoletes:	libpaper-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package -n	%{libname}-static-devel
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%{release}

%description -n %{libname}-static-devel
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package -n	paper-utils
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description  -n paper-utils
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%prep
%setup -q -n libpaper-%{version}

%build
%configure2_5x
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/paperconf
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc ChangeLog debian/changelog
%_includedir/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/*.a

%files -n paper-utils
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/paperconf
%attr(755,root,root) %{_sbindir}/paperconfig
%{_mandir}/man*/*


%changelog
* Thu Feb 15 2007 Laurent Montel <lmontel@mandriva.com> 1.1.21-2mdv2007.0
+ Revision: 121284
- regenerate it

* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.21-1mdv2007.1
+ Revision: 121263
- bump version
- fix url
- make use of %%{major} and ldconfig for libraries
- add clean routines in %%install
- Import libpaper



* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-8mdk
- fix summary (#21690)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-7mdk
- fix libification

* Mon Jan 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-6mdk
- fix build on x86_64

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.8-5mdk
- Rebuild

* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-4mdk
- use mklibname

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-3mdk
- fix #4565

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- added a static devel package
- small patch to make it build with gcc 3.3
- autoconf2.5 macro

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.8-1mdk
- initial package
